unit uWaehrungsumrechner1;

{ **************************************************************************** }
{ **************************************************************************** }

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, jpeg, Buttons;

type
  TForm1 = class(TForm)
    PnlUeberschrift: TPanel;
    LblDollar: TLabel;
    EdtDollar: TEdit;
    LblEuro: TLabel;
    EdtEuro: TEdit;
    ImgGeld: TImage;
    BvlKurs: TBevel;
    LblKurs1: TLabel;
    LblKurs2: TLabel;
    EdtKurs: TEdit;
    BitBtnDollarInEuro: TBitBtn;
    BitBtnInformation: TBitBtn;
    BitBtnSchliessen: TBitBtn;
    procedure BitBtnInformationClick(Sender: TObject);
    procedure BitBtnDollarInEuroClick(Sender: TObject);
    procedure BitBtnSchliessenClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

{ **************************************************************************** }
{ **************************************************************************** }

implementation

{$R *.DFM}

procedure TForm1.BitBtnDollarInEuroClick(Sender: TObject);
var
  Dollarbetrag,Eurobetrag: Real;
begin
  { Error-Handling (damit das Programm bei fehlender Eingabe nicht abstuerzt) }
  if EdtDollar.Text = '' then EdtDollar.Text := '0,00';

  { Eingabe }
  Dollarbetrag := StrToFloat(EdtDollar.Text);

  { Verarbeitung }
  Eurobetrag := Dollarbetrag * 0.78;

  { Ausgabe }
  EdtEuro.Text := FloatToStrF(Eurobetrag,ffFixed,8,2);
end;

{ **************************************************************************** }

procedure TForm1.BitBtnInformationClick(Sender: TObject);
begin
  MessageDlg('Whrungsumrechner (V1.0)' + #13 +
    'Programm zur Umrechnung von US-Dollar in Euro.' + #13 + #13 +
    'M. Zirbes, 2009' + #13 + #13 +
    'Bei diesem Programm handelt es sich um Freeware,' + #13 +
    'd.h. es steht zur kostenlosen Nutzung frei zur Verfgung' + #13 +
    'und darf ohne Entgelt vervielfltigt und verbreitet werden.' + #13 + #13 +
    'Kontakt: schule@mijozi.de',mtInformation,[mbOK],0);
end;


{ **************************************************************************** }

procedure TForm1.BitBtnSchliessenClick(Sender: TObject);
begin
  Close;
end;

{ **************************************************************************** }
{ **************************************************************************** }

end.

